<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>SimpleNode</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SimpleNode";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SimpleNode.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/SimpleNode.html" target="_top">Frames</a></li>
<li><a href="SimpleNode.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.dpp</div>
<h2 title="Class SimpleNode" class="title">Class SimpleNode</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.dpp.SimpleNode</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTCoordExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTCoordExpression</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTDPathFilter.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTDPathFilter</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTDPathNavigation.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTDPathNavigation</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTDPathTest.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTDPathTest</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTExpression</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTGroupedExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTGroupedExpression</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTMacroExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTMacroExpression</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTStart.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTStart</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">SimpleNode</span>
extends java.lang.Object
implements <a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#children">children</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#id">id</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#parent">parent</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#parser">parser</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.Object</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#value">value</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#SimpleNode(fr.inria.alpage.frmgcm.dpp.DPathParser,%20int)">SimpleNode</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a>&nbsp;p,
          int&nbsp;i)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#SimpleNode(int)">SimpleNode</a></strong>(int&nbsp;i)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#dump(java.lang.String)">dump</a></strong>(java.lang.String&nbsp;prefix)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#getId()">getId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtAddChild(fr.inria.alpage.frmgcm.dpp.Node,%20int)">jjtAddChild</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n,
           int&nbsp;i)</code>
<div class="block">This method tells the node to add its argument to the node's
    list of children.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtClose()">jjtClose</a></strong>()</code>
<div class="block">This method is called after all the child nodes have been
    added.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtGetChild(int)">jjtGetChild</a></strong>(int&nbsp;i)</code>
<div class="block">This method returns a child node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtGetNumChildren()">jjtGetNumChildren</a></strong>()</code>
<div class="block">Return the number of children the node has.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtGetParent()">jjtGetParent</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtGetValue()">jjtGetValue</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtOpen()">jjtOpen</a></strong>()</code>
<div class="block">This method is called after the node has been made the current
    node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtSetParent(fr.inria.alpage.frmgcm.dpp.Node)">jjtSetParent</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</code>
<div class="block">This pair of methods are used to inform the node of its
    parent.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtSetValue(java.lang.Object)">jjtSetValue</a></strong>(java.lang.Object&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#toString()">toString</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#toString(java.lang.String)">toString</a></strong>(java.lang.String&nbsp;prefix)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="parent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parent</h4>
<pre>protected&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a> parent</pre>
</li>
</ul>
<a name="children">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>children</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>[] children</pre>
</li>
</ul>
<a name="id">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>protected&nbsp;int id</pre>
</li>
</ul>
<a name="value">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>value</h4>
<pre>protected&nbsp;java.lang.Object value</pre>
</li>
</ul>
<a name="parser">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>parser</h4>
<pre>protected&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a> parser</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SimpleNode(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleNode</h4>
<pre>public&nbsp;SimpleNode(int&nbsp;i)</pre>
</li>
</ul>
<a name="SimpleNode(fr.inria.alpage.frmgcm.dpp.DPathParser, int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SimpleNode</h4>
<pre>public&nbsp;SimpleNode(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a>&nbsp;p,
          int&nbsp;i)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="jjtOpen()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtOpen</h4>
<pre>public&nbsp;void&nbsp;jjtOpen()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtOpen()">Node</a></code></strong></div>
<div class="block">This method is called after the node has been made the current
    node.  It indicates that child nodes can now be added to it.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtOpen()">jjtOpen</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="jjtClose()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtClose</h4>
<pre>public&nbsp;void&nbsp;jjtClose()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtClose()">Node</a></code></strong></div>
<div class="block">This method is called after all the child nodes have been
    added.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtClose()">jjtClose</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="jjtSetParent(fr.inria.alpage.frmgcm.dpp.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtSetParent</h4>
<pre>public&nbsp;void&nbsp;jjtSetParent(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtSetParent(fr.inria.alpage.frmgcm.dpp.Node)">Node</a></code></strong></div>
<div class="block">This pair of methods are used to inform the node of its
    parent.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtSetParent(fr.inria.alpage.frmgcm.dpp.Node)">jjtSetParent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="jjtGetParent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtGetParent</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;jjtGetParent()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtGetParent()">jjtGetParent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="jjtAddChild(fr.inria.alpage.frmgcm.dpp.Node, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtAddChild</h4>
<pre>public&nbsp;void&nbsp;jjtAddChild(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n,
               int&nbsp;i)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtAddChild(fr.inria.alpage.frmgcm.dpp.Node,%20int)">Node</a></code></strong></div>
<div class="block">This method tells the node to add its argument to the node's
    list of children.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtAddChild(fr.inria.alpage.frmgcm.dpp.Node,%20int)">jjtAddChild</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="jjtGetChild(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtGetChild</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;jjtGetChild(int&nbsp;i)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtGetChild(int)">Node</a></code></strong></div>
<div class="block">This method returns a child node.  The children are numbered
     from zero, left to right.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtGetChild(int)">jjtGetChild</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="jjtGetNumChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtGetNumChildren</h4>
<pre>public&nbsp;int&nbsp;jjtGetNumChildren()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtGetNumChildren()">Node</a></code></strong></div>
<div class="block">Return the number of children the node has.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtGetNumChildren()">jjtGetNumChildren</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="jjtSetValue(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtSetValue</h4>
<pre>public&nbsp;void&nbsp;jjtSetValue(java.lang.Object&nbsp;value)</pre>
</li>
</ul>
<a name="jjtGetValue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtGetValue</h4>
<pre>public&nbsp;java.lang.Object&nbsp;jjtGetValue()</pre>
</li>
</ul>
<a name="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="toString(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString(java.lang.String&nbsp;prefix)</pre>
</li>
</ul>
<a name="dump(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dump</h4>
<pre>public&nbsp;void&nbsp;dump(java.lang.String&nbsp;prefix)</pre>
</li>
</ul>
<a name="getId()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;int&nbsp;getId()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#getId()">getId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SimpleNode.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/SimpleNode.html" target="_top">Frames</a></li>
<li><a href="SimpleNode.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
